> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sezzle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a customer

> Get details on an existing tokenized customer



## OpenAPI

````yaml get /v2/customer/{customer_uuid}
openapi: 3.1.0
info:
  title: Sezzle API v2
  description: >-
    This Sezzle API is for merchants who want to accept Sezzle as a payment
    option
  termsOfService: https://legal.sezzle.com
  version: 2.0.0
  x-logo:
    url: https://media.sezzle.com/branding/2.0/png/Logo_WhiteWordmark_500x126.png
    backgroundColor: '#392558'
servers:
  - url: https://sandbox.gateway.sezzle.com
    description: development server, usa, ca
  - url: https://gateway.sezzle.com
    description: production server, usa, ca
security:
  - Bearer: []
externalDocs:
  description: Sezzle API guides and tutorials
  url: https://docs.sezzle.com/sezzle-integration
paths:
  /v2/customer/{customer_uuid}:
    get:
      tags:
        - Customer
      summary: Get customer
      description: Get details on an existing tokenized customer
      operationId: HandleGetCustomer
      parameters:
        - name: customer_uuid
          in: path
          description: The Customer UUID to get
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenizedCustomerInfo'
              example:
                uuid: a9d8e15c-5e4a-4201-aa8f-7540f934a9a2
                links:
                  - href: >-
                      https://gateway.sezzle.com/v2/customer/a9d8e15c-5e4a-4201-aa8f-7540f934a9a2
                    method: GET
                    rel: self
                  - href: >-
                      https://gateway.sezzle.com/v2/customer/a9d8e15c-5e4a-4201-aa8f-7540f934a9a2
                    method: DELETE
                    rel: self
                  - href: >-
                      https://gateway.sezzle.com/v2/customer/a9d8e15c-5e4a-4201-aa8f-7540f934a9a2/preapprove
                    method: POST
                    rel: preapprove
                  - href: >-
                      https://gateway.sezzle.com/v2/customer/a9d8e15c-5e4a-4201-aa8f-7540f934a9a2/order
                    method: POST
                    rel: order
                email: john.doe@sezzle.com
                first_name: John
                last_name: Doe
                phone: '5555045294'
                dob: '1990-02-25'
                token_expiration: '2020-04-27T14:46:59Z'
                billing_address:
                  name: John Doe
                  street: 123 W Lake St
                  street2: Unit 104
                  city: Minneapolis
                  state: MN
                  postal_code: '55408'
                  country_code: US
                  phone_number: '5555045294'
        '400':
          $ref: '#/components/responses/BadRequestV2'
          example:
            code: get_shopper_error
            message: bad request
        '401':
          $ref: '#/components/responses/UnauthorizedV2'
          example:
            code: unauthorized
            message: authorization not accepted
        '404':
          $ref: '#/components/responses/NotFoundV2'
          example:
            code: record_not_found
            message: not found
        '422':
          $ref: '#/components/responses/UnprocessableV2'
          example:
            code: invalid
            message: UnprocessableV2 entity
components:
  schemas:
    TokenizedCustomerInfo:
      allOf:
        - $ref: '#/components/schemas/Response'
        - $ref: '#/components/schemas/Customer'
        - type: object
          properties:
            dob:
              type: string
              format: YYYY-MM-DD
              description: >-
                The customer's date of birth in YYYY-MM-DD format (parameter is
                input only)
            token_expiration:
              type: string
              format: date-time
              description: The UTC expiration date of the customer tokenization
    Response:
      type: object
      properties:
        uuid:
          type: string
          description: The unique identifier for this response
        links:
          type: array
          description: Available API links prefilled with UUID with accompanying method
          items:
            $ref: '#/components/schemas/Link'
    Customer:
      allOf:
        - $ref: '#/components/schemas/CheckoutRequestCustomer'
        - type: object
          properties:
            billing_address:
              $ref: '#/components/schemas/AddressV2'
              description: The customer's billing address
    ErrorV2:
      type: object
      properties:
        code:
          type: string
          description: The general error type
        message:
          type: string
          description: A more specific error message, if available
        location:
          type: string
          description: Where the error occurred
        debug_uuid:
          type: string
          description: The unique identifier assigned to this error for troubleshooting
    Link:
      type: object
      required:
        - href
      properties:
        href:
          type: string
          description: The fully qualified URL for the API endpoint
        rel:
          type: string
          description: >-
            The relationship type indicating the purpose of this link (e.g.,
            'self' for the current resource, 'create' for creating a new
            resource, 'list' for listing resources)
          enum:
            - self
            - capture
            - checkout
            - create
            - customer
            - list
            - order
            - preapprove
            - refund
            - release
            - session
        method:
          type: string
          description: The HTTP method to use when calling this API endpoint
          enum:
            - GET
            - POST
            - PATCH
            - DELETE
    CheckoutRequestCustomer:
      type: object
      properties:
        first_name:
          type: string
          description: The customer's first name
        last_name:
          type: string
          description: The customer's last name
        email:
          type: string
          description: The customer's email address
        phone:
          type: string
          description: The customer's phone number
    AddressV2:
      allOf:
        - $ref: '#/components/schemas/Address'
        - type: object
          properties:
            phone:
              type: string
              description: The phone number at the delivery location
    Address:
      type: object
      properties:
        name:
          type: string
          description: The name on the address
        street:
          type: string
          description: The street and number of the address
        street2:
          type: string
          description: The apt or unit
        city:
          type: string
          description: The city
        state:
          type: string
          description: The 2 character state code
        postal_code:
          type: string
          description: The postal delivery code
        country_code:
          type: string
          description: The 2 character country code
  responses:
    BadRequestV2:
      description: Invalid request
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: bad_request
              message: bad request
    UnauthorizedV2:
      description: >-
        Unauthorized. Returned for any failed bearer or basic auth, including
        expired bearer tokens.
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: unauthorized
              message: authorization not accepted
    NotFoundV2:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: record_not_found
              message: not found
    UnprocessableV2:
      description: Unable to process the request entity
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: invalid
              message: Unprocessable entity
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header
      description: >-
        The authentication token generated from providing API Keys to Sezzle
        Gateway

````